Bug 198246 - Review Request: ORBit
Review Request: ORBit
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Michael J Knox
Fedora Package Reviews List
:
Depends On:
Blocks: FE-ACCEPT 198245
  Show dependency treegraph
 
Reported: 2006-07-10 11:31 EDT by Paul Howarth
Modified: 2010-07-09 14:04 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-07-21 08:58:37 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Paul Howarth 2006-07-10 11:31:22 EDT
Spec URL: http://www.city-fan.org/~paul/extras/Gnome-1/ORBit.spec
SRPM URL: http://www.city-fan.org/~paul/extras/Gnome-1/ORBit-0.5.17-17.src.rpm
Description:

ORBA Object Request Broker for GNOME-1 compatibility

This package was removed from Core for FC6 and I am submitting it to Extras to support the people that still need it for legacy applications. I pulled the package from Core CVS and then tweaked it for Extras and to suit my own cosmetic preferences. Reviewers may consider using rpmdiff to compare the built packages with the versions in Fedora Core 5.
Comment 1 Rex Dieter 2006-07-10 12:10:21 EDT
Since -devel has files in %{_libdir}/pkgconfig and %_datadir/aclocal, to avoid 
possible unowned dirs, it should:
Requires: pkgconfig
and
Requires: automake
(or Requires: %_datadir/aclocal)
respectively.
Comment 2 Paul Howarth 2006-07-10 13:01:36 EDT
(In reply to comment #1)
> Since -devel has files in %{_libdir}/pkgconfig and %_datadir/aclocal, to avoid 
> possible unowned dirs, it should:
> Requires: pkgconfig
> and
> Requires: automake
> (or Requires: %_datadir/aclocal)
> respectively.

Fixed in -18:

Spec URL: http://www.city-fan.org/~paul/extras/Gnome-1/ORBit.spec
SRPM URL: http://www.city-fan.org/~paul/extras/Gnome-1/ORBit-0.5.17-18.src.rpm
Comment 3 Michael J Knox 2006-07-21 00:31:35 EDT
Hey, I will review this puppy for you... 

----------------------------------------
Review for release 18:

* RPM name is OK
* Source ORBit-0.5.17.tar.bz2 is the same as upstream
* This is the latest version
* Builds fine in mock
* rpmlint of ORBit-devel looks OK
* rpmlint of ORBit looks OK
* File list of ORBit-devel looks OK
* File list of ORBit looks OK

Notes:

Looks good, I see no reason why this can't be imported. Consider it APPROVED. 

Please remember to close this review once the package has been imported into CVS. 
Comment 4 Paul Howarth 2006-07-21 08:58:37 EDT
Package imported and added to owners.list.

 12853 (ORBit): Build on target fedora-development-extras succeeded.
     Build logs may be found at
http://buildsys.fedoraproject.org/logs/fedora-development-extras/12853-ORBit-0.5.17-18.fc6/

Thanks for the review.
Comment 5 Paul Howarth 2010-05-10 08:26:16 EDT
Package Change Request
======================
Package Name: ORBit
New Branches: EL-6
Owners: pghmcfc

ORBit has been dropped from EL-6 but was present in earlier EL releases.
Comment 6 Paul Howarth 2010-05-10 08:29:23 EDT
Actually, forget that branch request - I don't need it after all.
Comment 7 Paul Howarth 2010-07-09 06:22:04 EDT
Package Change Request
======================
Package Name: ORBit
New Branches: EL-6
Owners: pghmcfc

ORBit has been dropped from EL-6 but was present in earlier EL releases.
The Gnome-1 libraries are wanted by the Fedora Astronomy group for the "spacechart" package.
Comment 8 Kevin Fenzi 2010-07-09 14:04:19 EDT
CVS done (by process-cvs-requests.py).

Note You need to log in before you can comment on or make changes to this bug.